# Get test number capabilities of sender for project

Returns test number capabilities of sender for a project.

Endpoint: GET /v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}/capabilities
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the <a href="https://dashboard.sinch.com/">Sinch Dashboard</a>.

  - `senderId` (string, required)
    The unique ID of the sender.

  - `testNumber` (string, required)
    the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting parameter is '+12223334444'.

## Response 200:

  - `200` (unknown)
    test number capabilities

## Response 200 fields (application/json):

  - `features` (array, required)
    List of RBM features that this device supports.

## Response 400:

  - `400` (unknown)
    BadRequest

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: invalid_id_format

  - `message` (string)
    Human readable message.
    Example: Id is not in the expected format.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: senderId param is in the wrong format. Confirm that you're sending the correct value.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: wrong_supplier_configuration

  - `message` (string)
    Human readable message.
    Example: Wrong supplier configuration is used, configuration needs to be setup via SI team

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please reach out to support at si-richmessaging@sinch.com

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: sender_not_found

  - `message` (string)
    Human readable message.
    Example: Sender not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 429:

  - `429` (unknown)
    TooManyRequests

## Response 429 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: rbm_too_many_requests

  - `message` (string)
    Human readable message.
    Example: RCS Business Messaging too many requests.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: internal_error

  - `message` (string)
    Human readable message.
    Example: Internal server error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please wait and try again, if the error persist please contact support.

## Response 200 examples:

  - `Get response` (unknown)
    Response with test number capabilities.

